#ifndef __PATCHACK_H
#define __PATCHACK_H

#include "modsetup.h"

#pragma pack(push, 1)
/*
  packed data type
  {0x@@######UL, 0x$$}
  @@ - old byte
  $$ - new byte
  ###### - offset
*/
typedef struct {
  DWORD offs;
  BYTE  data;
} fix_item;

typedef struct {
  char *name;
  DWORD size;
} fix_file;

typedef struct {
  BYTE stat;
  BYTE file;
  WORD size;
  fix_item *list;
} fix_info;
#pragma pack(pop)

#define PH_ORG 0
#define PH_MOD 1
#define PH_DIF 2
#define PH_NON 3

void LoadPatches(fix_file *flist, fix_info *ilist, WORD isize);
void SavePatches(fix_file *flist, fix_info *ilist, WORD isize);
void BackPatches(fix_file *flist, fix_info *ilist, WORD isize);
void ReadPatches(fix_file *flist, fix_info *ilist, WORD isize);

#endif
