#ifndef __WIN32MOD_H
#define __WIN32MOD_H

#include <windows.h>

#ifndef O_RDONLY
#define O_RDONLY 0
#define O_RDWR   2
#define O_BINARY 0x8000
#define O_CREAT  0x0100
#define O_TRUNC  0x0200
#define S_IWRITE 0x0080
#define S_IREAD  0x0100
#endif

#pragma pack(push, 1)
struct ftime {
  FILETIME ftCreationTime;
  FILETIME ftLastAccessTime;
  FILETIME ftLastWriteTime;
};
#pragma pack(pop)

int close(int handle);
long lseek(int handle, long offset, int fromwhere);
int open(const char *path, int access, ...);
int read(int handle, void *buf, unsigned int len);
long tell(int handle);
int write(int handle, const void *buf, unsigned int len);
int setftime(int handle, struct ftime *ftimep);
int getftime(int handle, struct ftime *ftimep);
int bioskey(int cmd);
void ChangeConsoleFontSize(HANDLE h);
int FindGameFile(char *name, unsigned long size, int flag);

#endif
